MDM Pre-Installer 9.7.1

Version 2

    Overview

     

    The Master Data Management (MDM) Pi 9.7.1 pre-requisite tool evaluates the readiness of an installation environment, and thus provides the results based on the inputs. This will ensure that all the pre-requisites meet the MDM 9.7.1 installation expectations before attempting the install.

     

    Download

     

    MDMpi 9.7.1 for AIX

    MDMpi 9.7.1 for Linux

    MDMpi 9.7.1 for Solaris

    MDMpi 9.7.1 for HPUX

    MDMpi 9.7.1 for Windows


    Credentials for downloading the Installers

     

    Username: INFA11

    Password: staff22

     

    Documentation

     

    For more information on How to use the tool, refer to the Readme file.

     

    What does the tool check

     

    1. Machine pre-requisites
      • Runs a check on the Operating System and the version where the tool is being run, and fails for an unsupported Operating System.
      • Runs a check on the disk space to ensure that enough space is available in the install location.
      • Runs a check for the existence of LANG and LC_ALL variables and raise a warning if they do not exist.
      • Runs a check for the physical memory and processors on the machine to verify for a minimum limit that is required by the product.
    2. Database Requirements: When the user is prompted for the database connection details and credentials, the tool will connect to the database and check if a valid connection exists, and also find the Oracle server version details.

      Oracle
      • Runs a check to ensure if valid JDBC connections exist with the database credentials that are given.
      • Runs a check to verify if the Oracle server version is supported or not.
      • Runs a check to verify if the Oracle client is configured in the environment variable.
      • Runs a check to ensure if the Oracle SQL Loader utility (Sqlldr) exists in the PATH when using a Cleanse Server on this machine.
    3. Application server Requirements:
      1. the following application servers are supported:
        • JBoss
        • WebLogic
        • WebSphere
      2. Runs a check to ensure if the application server versions are supported.
    4. Java Requirements:
      • Runs a check to ensure if a valid Java version is installed on the machine which can be used by the application server.
      • Runs a check to verify the bit mode of the Java executable.

     

    Logs and Information

     

    The i9Pi_summary.log file will be created in the same directory as the MDM Pi installation directory to perform troubleshooting. The pre-install check results will be written to i9Pi_summary.html file in the MDM Pi directory.

     

     

    More Information

     

    The required JRE is packaged with the tool.

     

    Reference

     

    MDM Pre-Install Checker (MDM pi) for 9.5

    MDM Pre-Install Checker (MDM pi) for 9.5.1